Resolve Notification Channel
curl --request POST \
--url https://hub.griff.services/notifications/resolve-channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integrationNameOrId": "<string>",
"routing": {
"channelType": "slack",
"channel": "<string>"
}
}
'import requests
url = "https://hub.griff.services/notifications/resolve-channel"
payload = {
"integrationNameOrId": "<string>",
"routing": {
"channelType": "slack",
"channel": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integrationNameOrId: '<string>',
routing: {channelType: 'slack', channel: '<string>'}
})
};
fetch('https://hub.griff.services/notifications/resolve-channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"provider": "webhook",
"url": "<string>",
"headers": {},
"timeoutMs": 123,
"maxRetries": 123,
"channel": "<string>",
"accessToken": "<string>",
"toAddresses": [
"<string>"
],
"fromAddress": "<string>",
"fromName": "<string>",
"replyTo": "<string>",
"apiKey": "<string>",
"sesRegion": "<string>",
"roleArn": "<string>",
"externalId": "<string>",
"credentials": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}notifications
Resolve Notification Channel
Resolve channel adapter input for building an adapter remotely (buildChannelAdapter(data)). Used by distributed notification workers.
POST
/
notifications
/
resolve-channel
Resolve Notification Channel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
⌘I